
QGIS Application - Bug report #12528

Processing plugin starts with Python error

2015-04-08 03:11 AM - Janos Meszaros

Status: Closed

Priority: Normal
Affected QGIS version:2.8.1 Regression?: No
Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20672

Description

After the upgrade of Processing plugin to 2.9 version on QGIS 2.8.1, it pops up a window with Python error when QGIS starts:

IOError: [Errno 2] No such file or directory: 'nul'

The 'Null' entry in 'not Plug and Play Drivers' and values in HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet?\\services\\Null were

also checked and everything seemed to be configured right.

Total log file was attached as a text file.

History

#1 - 2015-04-08 11:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to Normal

cannot confirm here on the same platform, please try removing the .qgis2 (after eventually make a copy of it) and upgrading again Processing. Thanks.

#2 - 2015-04-09 12:54 AM - Janos Meszaros

Thank you for the info but unfortunately it didn't help. What I also tried before:

Total reinstall of QGIS and other OSGIS software using OSGeo4W installer advanced mode ->not helped

Reinstall Processing plugin manually using the zipped version from plugins website -> not helped

Your suggestion with .qgis2 folder -> not helped

I think this problem somehow related only to my notebook and environment because I didn't find this or similar issue searching on various OSGIS related

websites...

#3 - 2015-04-09 02:29 AM - Giovanni Manghi

I think this problem somehow related only to my notebook and environment because I didn't find this or similar issue searching on various OSGIS

related websites...

seems a local issue to me too.

#4 - 2015-04-10 03:33 AM - Janos Meszaros
Yes, I confirm that it was related to my Win 7 environment. After a total Win 7 reinstall everything works as it has. Please close this issue or delete to not

confuse other people.

#5 - 2015-04-10 03:58 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

#6 - 2015-06-07 04:33 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

processing_error_atstart.txt 3.37 KB 2015-04-08 Janos Meszaros

2024-03-20 2/2


